MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023315Community[OCCT] OCCT:Visualizationpublic2012-07-18 12:192012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023315: Duplicate comarison in an if-clause ib Prs2d_ToleranceFrame.cxx
DescriptionIn line 195:

if ( myTolTxt.Length() || myTxt1.Length() || myTxt1.Length() ) {

should be corrected to:

if ( myTolTxt.Length() || myTxt1.Length() || myTxt2.Length() ) {
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021042)
Pawel (developer)
2012-07-18 12:49

Corresponding git branch pushed. Please review.
(0021085)
abv (manager)
2012-07-19 20:20

No remarks, please test
(0021114)
apn (administrator)
2012-07-23 15:54

Dear BugMaster,
The workbenches
KAS:dev:mkv-23315-occt (GIT branch CR23315)
KAS:dev:mkv-23315-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23315-products_20072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master 3f6213c3
Timestamp: 2012-07-18 08:44:57
Author: Pawel
Details ] Diff ]
0023315: Duplicate comarison in an if-clause ib Prs2d_ToleranceFrame.cxx

Testing the length of 'myTxt2' instead of 'myTxt1' twice.
mod - src/Prs2d/Prs2d_ToleranceFrame.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-18 12:19 Pawel New Issue
2012-07-18 12:19 Pawel Assigned To => Pawel
2012-07-18 12:49 Pawel Note Added: 0021042
2012-07-18 12:49 Pawel Assigned To Pawel => bugmaster
2012-07-18 12:49 Pawel Status new => resolved
2012-07-19 20:20 abv Note Added: 0021085
2012-07-19 20:20 abv Status resolved => reviewed
2012-07-20 11:59 mkv Assigned To bugmaster => mkv
2012-07-23 15:54 apn Note Added: 0021114
2012-07-23 15:55 apn Test case number => Not needed
2012-07-23 15:55 apn Assigned To mkv => bugmaster
2012-07-23 15:55 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master 3f6213c3
2012-07-30 16:34 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:34 Pawel Status tested => verified
2012-07-30 16:34 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker